SerializableString (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson

## Interface SerializableString

- All Known Implementing Classes:
    SerializedString

      public interface SerializableString

  Interface that defines how Jackson package can interact with efficient pre-serialized or lazily-serialized and reused String representations. Typically implementations store possible serialized version(s) so that serialization of String can be done more efficiently, especially when used multiple times.
  Since:
    1.7 (1.6 introduced implementation, but interface extracted later)
  See Also:
    `SerializedString`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `char[]` | `asQuotedChars()` Returns JSON quoted form of the String, as character array.
    `byte[]` | `asQuotedUTF8()` Returns UTF-8 encoded version of JSON-quoted String.
    `byte[]` | `asUnquotedUTF8()` Returns UTF-8 encoded version of unquoted String.
    `int` | `charLength()` Returns length of the (unquoted) String as characters.
    `String` | `getValue()` Returns unquoted String that this object represents (and offers serialized forms for)

- - ### Method Detail

    - #### getValue

          String getValue()

      Returns unquoted String that this object represents (and offers serialized forms for)

    - #### charLength

          int charLength()

      Returns length of the (unquoted) String as characters. Functionally equvalent to:

             getValue().length();

    - #### asQuotedChars

          char[] asQuotedChars()

      Returns JSON quoted form of the String, as character array. Result can be embedded as-is in textual JSON as property name or JSON String.

    - #### asUnquotedUTF8

          byte[] asUnquotedUTF8()

      Returns UTF-8 encoded version of unquoted String. Functionally equivalent to (but more efficient than):

           getValue().getBytes("UTF-8");

    - #### asQuotedUTF8

          byte[] asQuotedUTF8()

      Returns UTF-8 encoded version of JSON-quoted String. Functionally equivalent to (but more efficient than):

           new String(asQuotedChars()).getBytes("UTF-8");